"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TooManyTagsException = exports.GenerationExistsException = exports.GenerationStatus = exports.CostAllocationTagType = exports.CostAllocationTagStatus = exports.UnresolvableUsageUnitException = exports.SavingsPlansDataType = exports.SupportedSavingsPlansType = exports.RightsizingType = exports.PlatformDifference = exports.FindingReasonCode = exports.RecommendationTarget = exports.TermInYears = exports.OfferingClass = exports.PaymentOption = exports.LookbackPeriodInDays = exports.Context = exports.Metric = exports.SortOrder = exports.RequestChangedException = exports.GroupDefinitionType = exports.Granularity = exports.DataUnavailableException = exports.BillExpirationException = exports.InvalidNextTokenException = exports.NumericOperator = exports.CostCategoryStatus = exports.CostCategoryStatusComponent = exports.ResourceNotFoundException = exports.UnknownSubscriptionException = exports.ServiceQuotaExceededException = exports.CostCategorySplitChargeRuleParameterType = exports.CostCategorySplitChargeMethod = exports.CostCategoryRuleVersion = exports.CostCategoryRuleType = exports.CostCategoryInheritedValueDimensionName = exports.UnknownMonitorException = exports.LimitExceededException = exports.SubscriberType = exports.SubscriberStatus = exports.AnomalySubscriptionFrequency = exports.MonitorType = exports.Dimension = exports.MatchOption = exports.MonitorDimension = exports.AnomalyFeedbackType = exports.AccountScope = void 0;
const CostExplorerServiceException_1 = require("./CostExplorerServiceException");
exports.AccountScope = {
    LINKED: "LINKED",
    PAYER: "PAYER",
};
exports.AnomalyFeedbackType = {
    NO: "NO",
    PLANNED_ACTIVITY: "PLANNED_ACTIVITY",
    YES: "YES",
};
exports.MonitorDimension = {
    SERVICE: "SERVICE",
};
exports.MatchOption = {
    ABSENT: "ABSENT",
    CASE_INSENSITIVE: "CASE_INSENSITIVE",
    CASE_SENSITIVE: "CASE_SENSITIVE",
    CONTAINS: "CONTAINS",
    ENDS_WITH: "ENDS_WITH",
    EQUALS: "EQUALS",
    GREATER_THAN_OR_EQUAL: "GREATER_THAN_OR_EQUAL",
    STARTS_WITH: "STARTS_WITH",
};
exports.Dimension = {
    AGREEMENT_END_DATE_TIME_AFTER: "AGREEMENT_END_DATE_TIME_AFTER",
    AGREEMENT_END_DATE_TIME_BEFORE: "AGREEMENT_END_DATE_TIME_BEFORE",
    ANOMALY_TOTAL_IMPACT_ABSOLUTE: "ANOMALY_TOTAL_IMPACT_ABSOLUTE",
    ANOMALY_TOTAL_IMPACT_PERCENTAGE: "ANOMALY_TOTAL_IMPACT_PERCENTAGE",
    AZ: "AZ",
    BILLING_ENTITY: "BILLING_ENTITY",
    CACHE_ENGINE: "CACHE_ENGINE",
    DATABASE_ENGINE: "DATABASE_ENGINE",
    DEPLOYMENT_OPTION: "DEPLOYMENT_OPTION",
    INSTANCE_TYPE: "INSTANCE_TYPE",
    INSTANCE_TYPE_FAMILY: "INSTANCE_TYPE_FAMILY",
    INVOICING_ENTITY: "INVOICING_ENTITY",
    LEGAL_ENTITY_NAME: "LEGAL_ENTITY_NAME",
    LINKED_ACCOUNT: "LINKED_ACCOUNT",
    LINKED_ACCOUNT_NAME: "LINKED_ACCOUNT_NAME",
    OPERATING_SYSTEM: "OPERATING_SYSTEM",
    OPERATION: "OPERATION",
    PAYMENT_OPTION: "PAYMENT_OPTION",
    PLATFORM: "PLATFORM",
    PURCHASE_TYPE: "PURCHASE_TYPE",
    RECORD_TYPE: "RECORD_TYPE",
    REGION: "REGION",
    RESERVATION_ID: "RESERVATION_ID",
    RESOURCE_ID: "RESOURCE_ID",
    RIGHTSIZING_TYPE: "RIGHTSIZING_TYPE",
    SAVINGS_PLANS_TYPE: "SAVINGS_PLANS_TYPE",
    SAVINGS_PLAN_ARN: "SAVINGS_PLAN_ARN",
    SCOPE: "SCOPE",
    SERVICE: "SERVICE",
    SERVICE_CODE: "SERVICE_CODE",
    SUBSCRIPTION_ID: "SUBSCRIPTION_ID",
    TENANCY: "TENANCY",
    USAGE_TYPE: "USAGE_TYPE",
    USAGE_TYPE_GROUP: "USAGE_TYPE_GROUP",
};
exports.MonitorType = {
    CUSTOM: "CUSTOM",
    DIMENSIONAL: "DIMENSIONAL",
};
exports.AnomalySubscriptionFrequency = {
    DAILY: "DAILY",
    IMMEDIATE: "IMMEDIATE",
    WEEKLY: "WEEKLY",
};
exports.SubscriberStatus = {
    CONFIRMED: "CONFIRMED",
    DECLINED: "DECLINED",
};
exports.SubscriberType = {
    EMAIL: "EMAIL",
    SNS: "SNS",
};
class LimitExceededException extends CostExplorerServiceException_1.CostExplorerServiceException {
    constructor(opts) {
        super({
            name: "LimitExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "LimitExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, LimitExceededException.prototype);
        this.Message = opts.Message;
    }
}
exports.LimitExceededException = LimitExceededException;
class UnknownMonitorException extends CostExplorerServiceException_1.CostExplorerServiceException {
    constructor(opts) {
        super({
            name: "UnknownMonitorException",
            $fault: "client",
            ...opts,
        });
        this.name = "UnknownMonitorException";
        this.$fault = "client";
        Object.setPrototypeOf(this, UnknownMonitorException.prototype);
        this.Message = opts.Message;
    }
}
exports.UnknownMonitorException = UnknownMonitorException;
exports.CostCategoryInheritedValueDimensionName = {
    LINKED_ACCOUNT_NAME: "LINKED_ACCOUNT_NAME",
    TAG: "TAG",
};
exports.CostCategoryRuleType = {
    INHERITED_VALUE: "INHERITED_VALUE",
    REGULAR: "REGULAR",
};
exports.CostCategoryRuleVersion = {
    CostCategoryExpressionV1: "CostCategoryExpression.v1",
};
exports.CostCategorySplitChargeMethod = {
    EVEN: "EVEN",
    FIXED: "FIXED",
    PROPORTIONAL: "PROPORTIONAL",
};
exports.CostCategorySplitChargeRuleParameterType = {
    ALLOCATION_PERCENTAGES: "ALLOCATION_PERCENTAGES",
};
class ServiceQuotaExceededException extends CostExplorerServiceException_1.CostExplorerServiceException {
    constructor(opts) {
        super({
            name: "ServiceQuotaExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "ServiceQuotaExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ServiceQuotaExceededException.prototype);
        this.Message = opts.Message;
    }
}
exports.ServiceQuotaExceededException = ServiceQuotaExceededException;
class UnknownSubscriptionException extends CostExplorerServiceException_1.CostExplorerServiceException {
    constructor(opts) {
        super({
            name: "UnknownSubscriptionException",
            $fault: "client",
            ...opts,
        });
        this.name = "UnknownSubscriptionException";
        this.$fault = "client";
        Object.setPrototypeOf(this, UnknownSubscriptionException.prototype);
        this.Message = opts.Message;
    }
}
exports.UnknownSubscriptionException = UnknownSubscriptionException;
class ResourceNotFoundException extends CostExplorerServiceException_1.CostExplorerServiceException {
    constructor(opts) {
        super({
            name: "ResourceNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "ResourceNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ResourceNotFoundException.prototype);
        this.Message = opts.Message;
        this.ResourceName = opts.ResourceName;
    }
}
exports.ResourceNotFoundException = ResourceNotFoundException;
exports.CostCategoryStatusComponent = {
    COST_EXPLORER: "COST_EXPLORER",
};
exports.CostCategoryStatus = {
    APPLIED: "APPLIED",
    PROCESSING: "PROCESSING",
};
exports.NumericOperator = {
    BETWEEN: "BETWEEN",
    EQUAL: "EQUAL",
    GREATER_THAN: "GREATER_THAN",
    GREATER_THAN_OR_EQUAL: "GREATER_THAN_OR_EQUAL",
    LESS_THAN: "LESS_THAN",
    LESS_THAN_OR_EQUAL: "LESS_THAN_OR_EQUAL",
};
class InvalidNextTokenException extends CostExplorerServiceException_1.CostExplorerServiceException {
    constructor(opts) {
        super({
            name: "InvalidNextTokenException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidNextTokenException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidNextTokenException.prototype);
        this.Message = opts.Message;
    }
}
exports.InvalidNextTokenException = InvalidNextTokenException;
class BillExpirationException extends CostExplorerServiceException_1.CostExplorerServiceException {
    constructor(opts) {
        super({
            name: "BillExpirationException",
            $fault: "client",
            ...opts,
        });
        this.name = "BillExpirationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, BillExpirationException.prototype);
        this.Message = opts.Message;
    }
}
exports.BillExpirationException = BillExpirationException;
class DataUnavailableException extends CostExplorerServiceException_1.CostExplorerServiceException {
    constructor(opts) {
        super({
            name: "DataUnavailableException",
            $fault: "client",
            ...opts,
        });
        this.name = "DataUnavailableException";
        this.$fault = "client";
        Object.setPrototypeOf(this, DataUnavailableException.prototype);
        this.Message = opts.Message;
    }
}
exports.DataUnavailableException = DataUnavailableException;
exports.Granularity = {
    DAILY: "DAILY",
    HOURLY: "HOURLY",
    MONTHLY: "MONTHLY",
};
exports.GroupDefinitionType = {
    COST_CATEGORY: "COST_CATEGORY",
    DIMENSION: "DIMENSION",
    TAG: "TAG",
};
class RequestChangedException extends CostExplorerServiceException_1.CostExplorerServiceException {
    constructor(opts) {
        super({
            name: "RequestChangedException",
            $fault: "client",
            ...opts,
        });
        this.name = "RequestChangedException";
        this.$fault = "client";
        Object.setPrototypeOf(this, RequestChangedException.prototype);
        this.Message = opts.Message;
    }
}
exports.RequestChangedException = RequestChangedException;
exports.SortOrder = {
    ASCENDING: "ASCENDING",
    DESCENDING: "DESCENDING",
};
exports.Metric = {
    AMORTIZED_COST: "AMORTIZED_COST",
    BLENDED_COST: "BLENDED_COST",
    NET_AMORTIZED_COST: "NET_AMORTIZED_COST",
    NET_UNBLENDED_COST: "NET_UNBLENDED_COST",
    NORMALIZED_USAGE_AMOUNT: "NORMALIZED_USAGE_AMOUNT",
    UNBLENDED_COST: "UNBLENDED_COST",
    USAGE_QUANTITY: "USAGE_QUANTITY",
};
exports.Context = {
    COST_AND_USAGE: "COST_AND_USAGE",
    RESERVATIONS: "RESERVATIONS",
    SAVINGS_PLANS: "SAVINGS_PLANS",
};
exports.LookbackPeriodInDays = {
    SEVEN_DAYS: "SEVEN_DAYS",
    SIXTY_DAYS: "SIXTY_DAYS",
    THIRTY_DAYS: "THIRTY_DAYS",
};
exports.PaymentOption = {
    ALL_UPFRONT: "ALL_UPFRONT",
    HEAVY_UTILIZATION: "HEAVY_UTILIZATION",
    LIGHT_UTILIZATION: "LIGHT_UTILIZATION",
    MEDIUM_UTILIZATION: "MEDIUM_UTILIZATION",
    NO_UPFRONT: "NO_UPFRONT",
    PARTIAL_UPFRONT: "PARTIAL_UPFRONT",
};
exports.OfferingClass = {
    CONVERTIBLE: "CONVERTIBLE",
    STANDARD: "STANDARD",
};
exports.TermInYears = {
    ONE_YEAR: "ONE_YEAR",
    THREE_YEARS: "THREE_YEARS",
};
exports.RecommendationTarget = {
    CROSS_INSTANCE_FAMILY: "CROSS_INSTANCE_FAMILY",
    SAME_INSTANCE_FAMILY: "SAME_INSTANCE_FAMILY",
};
exports.FindingReasonCode = {
    CPU_OVER_PROVISIONED: "CPU_OVER_PROVISIONED",
    CPU_UNDER_PROVISIONED: "CPU_UNDER_PROVISIONED",
    DISK_IOPS_OVER_PROVISIONED: "DISK_IOPS_OVER_PROVISIONED",
    DISK_IOPS_UNDER_PROVISIONED: "DISK_IOPS_UNDER_PROVISIONED",
    DISK_THROUGHPUT_OVER_PROVISIONED: "DISK_THROUGHPUT_OVER_PROVISIONED",
    DISK_THROUGHPUT_UNDER_PROVISIONED: "DISK_THROUGHPUT_UNDER_PROVISIONED",
    EBS_IOPS_OVER_PROVISIONED: "EBS_IOPS_OVER_PROVISIONED",
    EBS_IOPS_UNDER_PROVISIONED: "EBS_IOPS_UNDER_PROVISIONED",
    EBS_THROUGHPUT_OVER_PROVISIONED: "EBS_THROUGHPUT_OVER_PROVISIONED",
    EBS_THROUGHPUT_UNDER_PROVISIONED: "EBS_THROUGHPUT_UNDER_PROVISIONED",
    MEMORY_OVER_PROVISIONED: "MEMORY_OVER_PROVISIONED",
    MEMORY_UNDER_PROVISIONED: "MEMORY_UNDER_PROVISIONED",
    NETWORK_BANDWIDTH_OVER_PROVISIONED: "NETWORK_BANDWIDTH_OVER_PROVISIONED",
    NETWORK_BANDWIDTH_UNDER_PROVISIONED: "NETWORK_BANDWIDTH_UNDER_PROVISIONED",
    NETWORK_PPS_OVER_PROVISIONED: "NETWORK_PPS_OVER_PROVISIONED",
    NETWORK_PPS_UNDER_PROVISIONED: "NETWORK_PPS_UNDER_PROVISIONED",
};
exports.PlatformDifference = {
    HYPERVISOR: "HYPERVISOR",
    INSTANCE_STORE_AVAILABILITY: "INSTANCE_STORE_AVAILABILITY",
    NETWORK_INTERFACE: "NETWORK_INTERFACE",
    STORAGE_INTERFACE: "STORAGE_INTERFACE",
    VIRTUALIZATION_TYPE: "VIRTUALIZATION_TYPE",
};
exports.RightsizingType = {
    MODIFY: "MODIFY",
    TERMINATE: "TERMINATE",
};
exports.SupportedSavingsPlansType = {
    COMPUTE_SP: "COMPUTE_SP",
    EC2_INSTANCE_SP: "EC2_INSTANCE_SP",
    SAGEMAKER_SP: "SAGEMAKER_SP",
};
exports.SavingsPlansDataType = {
    AMORTIZED_COMMITMENT: "AMORTIZED_COMMITMENT",
    ATTRIBUTES: "ATTRIBUTES",
    SAVINGS: "SAVINGS",
    UTILIZATION: "UTILIZATION",
};
class UnresolvableUsageUnitException extends CostExplorerServiceException_1.CostExplorerServiceException {
    constructor(opts) {
        super({
            name: "UnresolvableUsageUnitException",
            $fault: "client",
            ...opts,
        });
        this.name = "UnresolvableUsageUnitException";
        this.$fault = "client";
        Object.setPrototypeOf(this, UnresolvableUsageUnitException.prototype);
        this.Message = opts.Message;
    }
}
exports.UnresolvableUsageUnitException = UnresolvableUsageUnitException;
exports.CostAllocationTagStatus = {
    ACTIVE: "Active",
    INACTIVE: "Inactive",
};
exports.CostAllocationTagType = {
    AWS_GENERATED: "AWSGenerated",
    USER_DEFINED: "UserDefined",
};
exports.GenerationStatus = {
    FAILED: "FAILED",
    PROCESSING: "PROCESSING",
    SUCCEEDED: "SUCCEEDED",
};
class GenerationExistsException extends CostExplorerServiceException_1.CostExplorerServiceException {
    constructor(opts) {
        super({
            name: "GenerationExistsException",
            $fault: "client",
            ...opts,
        });
        this.name = "GenerationExistsException";
        this.$fault = "client";
        Object.setPrototypeOf(this, GenerationExistsException.prototype);
        this.Message = opts.Message;
    }
}
exports.GenerationExistsException = GenerationExistsException;
class TooManyTagsException extends CostExplorerServiceException_1.CostExplorerServiceException {
    constructor(opts) {
        super({
            name: "TooManyTagsException",
            $fault: "client",
            ...opts,
        });
        this.name = "TooManyTagsException";
        this.$fault = "client";
        Object.setPrototypeOf(this, TooManyTagsException.prototype);
        this.Message = opts.Message;
        this.ResourceName = opts.ResourceName;
    }
}
exports.TooManyTagsException = TooManyTagsException;
