import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  CostExplorerClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CostExplorerClient";
import {
  DeleteCostCategoryDefinitionRequest,
  DeleteCostCategoryDefinitionResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteCostCategoryDefinitionCommandInput
  extends DeleteCostCategoryDefinitionRequest {}
export interface DeleteCostCategoryDefinitionCommandOutput
  extends DeleteCostCategoryDefinitionResponse,
    __MetadataBearer {}
export declare class DeleteCostCategoryDefinitionCommand extends $Command<
  DeleteCostCategoryDefinitionCommandInput,
  DeleteCostCategoryDefinitionCommandOutput,
  CostExplorerClientResolvedConfig
> {
  readonly input: DeleteCostCategoryDefinitionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteCostCategoryDefinitionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CostExplorerClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteCostCategoryDefinitionCommandInput,
    DeleteCostCategoryDefinitionCommandOutput
  >;
  private serialize;
  private deserialize;
}
